Subject: RE: AW: [Sip] SIPIT Interop problem with ;user=phone

From: "Francois Audet" <[email-masked]>
Date: Wed, 3 Sep 2003 18:02:00 -0700

> If necessary, we could write a separate draft that explicitly 
> describes 
> doing so. I don't think it is necessary - it is up to the phone to 
> decide how to map dial strings into numbers. If it happens to 
> do so by 
> simply attaching a phone context to the dial string then that is its 
> business.

I agree. In fact, I tought I tought that was made pretty clear at the
last meeting.

<stuff deleted>

> P.S. What I am suggesting requires use of a phone-context 
> within which a 
> valid dial string has an unambiguous meaning. But this can always be 
> accomplished. If need be, the UAC can use its own FQDN as the 
> phone-context, so that everything including its own private 
> speed dial 
> numbers have unique definitions. So I might have something like:
> 
> 	INVITE tel:*3;phone-context=myphone.acme.com
> 	To: tel:*3;phone-context=myphone.acme.com
> 	From: sip:[email-masked]
> 	Route: sip:proxy.acme.com;lr
> 
> This would go off to proxy.acme.com, which would apply the 
> dial plan for 
> myphone.acme.com. It would look up my private definition for *3 and 
> substitute it.

In general, really what we should be recommending to SIP phone manufacturers
is the ability for a phone to be configured both with the FQDN of its proxy,
and
an arbitrary phone-context for potentially varying types of numbers. One of
those
types of numbers can be an unqualified number (which we sometimes call
dial string). If the phone-context for those numbers is the Domain name of 
the proxy (meaning all phones associated with that proxy have the same
dialing plan), 
that's fine. If the phone-context is unique per phone, that's fine too (but 
more complex for the proxy): it would allow for dial plan to vary per phone.
If it
is another phone-context (as per 2806), then it can have a different scope.

The important is that the phone is configurabled with an arbitrary
phone-context
string corresponding to an "unqualified number" (a.k.a., "dialed string", 
"unprocessed" string, etc.). 

That will allow the "generic" SIP phone to be used in any environment.

(Of course, a smarter phone could do the +CC URI, or even have additional
phone
contexes for extensions, or other private number).

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 04 Sep 2003 09:51:23 -0400

We might argue about the details, but I agree in principle with Francois.

	Paul

Francois Audet wrote:
> is the ability for a phone to be configured both with the FQDN of its 
> proxy, and
> an arbitrary phone-context for potentially varying types of numbers. One 
> of those
> more complex for the proxy): it would allow for dial plan to vary per 
> phone. If it
> (Of course, a smarter phone could do the +CC URI, or even have 
> additional phone

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip